Entities Involved in the IETF Standards Process
RFC 9281
BCP 11
Rich Salz
Akamai Technologies
rsalz@akamai.com
June 2022
IESG
RFC Editor
IRTF
IETF LLC
ISOC
registries
IANA
This document describes the individuals and organizations involved in the IETF standards process, as described in BCP 9. It includes brief descriptions of the entities involved and the role they play in the standards process.
The IETF and its structure have undergone many changes since RFC 2028 was published in 1996. This document reflects the changed organizational structure of the IETF and obsoletes RFC 2028.
Introduction
The process used by the IETF community for the standardization of protocols and procedures is described in BCP 9 [IETFPROCS]. BCP 9 defines the stages in the standardization process, the requirements for moving a document between stages, and the types of documents used during this process. This document identifies some of the key individual roles and organizations in that process.
Terminology
This document refers to individual roles in the singular, such as "a document editor." In reality, many roles are filled by more than one person at the same time. For clarity, this document does not use phrases like "chair (or co-chair)."
Changes since RFC 2028
The following changes have been made, in no particular order:
- Added the role of responsible area director (AD) and reordered Section 2 to follow the typical workflow.
- Added the IETF Administration LLC and the IETF Trust to Section 3.
- Changed "RFC Editor" to "RFC Production Center" to reflect the changes made by [RFC9280].
- Added the Terminology and Acknowledgements sections.
- Cleaned up some wording throughout the document.
Key Individuals in the Process
This section describes the individual roles involved in the process. It attempts to list the roles in the order in which they are involved in the process, without otherwise expressing significance.
Document Editor or Author
Most working groups (WGs) focus their efforts on one or more documents that capture their work results. The WG chair designates one or more people to serve as the editor(s) for a particular document. The editor is responsible for ensuring that the contents of the document accurately reflect the decisions that have been made by the WG.
When a document is composed and edited mainly by one or more individuals, they may be referred to as "document authors". The distinction is not significant for the standards process. This document uses the term "document editor".
When a document editor is a chair of the same WG, another chair should manage the process around the document. If another chair is not available, the WG and AD must monitor the process especially carefully to ensure that the resulting documents accurately reflect the consensus of the WG and that all processes are followed. This is the collective obligation of all parties involved in the document.
Working Group Chair
Each WG is headed by a chair who has the responsibility for facilitating the group's activities, presiding over the group's meetings, and ensuring that the commitments of the group with respect to its role in the Internet standards process are met. In particular, the WG chair is the formal point of contact between the WG and the Internet Engineering Steering Group (IESG), via the AD of the area to which the WG belongs.
The details on the selection and responsibilities of a WG chair can be found in [WGPROCS].
Area Director
Each WG is assigned a single responsible area director (AD). The AD can assist the WG chair in assessing consensus and executing process. The AD also reviews documents after the WG has approved them, and when satisfied, the AD coordinates the IESG review and IETF Last Call of the document.
An AD can also sponsor an Internet-Draft directly, but this is not very common. When this is done, a WG is not involved.
Except for the General Area, IETF areas traditionally have multiple ADs.
Key Organizations in the Process
The following organizations and organizational roles are involved in the Internet standards process.
Internet Engineering Task Force (IETF)
The IETF is an open international community of network designers, operators, implementors, researchers, and other interested parties who are concerned with the evolution of the Internet architecture and the smooth operation of the Internet. It is the principal body engaged in the development of new Internet Standard specifications and related documents.
Working Groups (WGs)
The technical work of the IETF is done in its WGs, which are organized by topics into several areas, each under the coordination of an AD. WGs typically have a narrow focus and a lifetime bounded by completion of specific tasks as defined in their charter and milestones. Some WGs are long-lived and intended to conduct ongoing maintenance on IETF protocol(s). There are also "dispatch" WGs that assess where new work in the IETF should be done but do not directly produce standards.
For all purposes relevant to the Internet Standards development process, membership in the IETF and its WGs is defined to be established solely and entirely by individuals who participate in IETF and WG activities. These individuals do not formally represent any organizations they may be affiliated with, although affiliations are often used for identification.
Anyone with the time and interest to do so is entitled and urged to participate actively in one or more WGs and to attend IETF meetings, which are usually held three times a year [RFC8719]. A WG may also schedule interim meetings (virtual, in-person, or hybrid). These are scheduled and announced to the entire WG. Active WG participation is possible without attending any in-person meetings.
Participants in the IETF and its WGs must disclose any relevant current or pending intellectual property rights that are reasonably and personally known to the participant if they participate in discussions about a specific technology. The full intellectual property policy is defined in [IPRRIGHTS1] and [IPRRIGHTS2].
New WGs are established by the IESG and almost always have a specific and explicit charter. The charter can be modified as the WG progresses. The guidelines and procedures for the formation and operation of WGs are described in detail in [WGPROCS].
A WG is managed by a WG chair, as described in Section 2.2. Documents produced by the group have an editor, as described in Section 2.1. Further details of WG operation can be found in [WGPROCS].
WGs ideally display a spirit of cooperation as well as a high degree of technical maturity; IETF participants recognize that the greatest benefit for all members of the Internet community results from cooperative development of technically excellent protocols and services.
Internet Engineering Steering Group (IESG)
The IESG is responsible for the management of the IETF technical activities. It administers the Internet Standards process according to the rules and procedures defined in [IETFPROCS]. The IESG is responsible for the actions associated with the progression of documents along the IETF Stream, including the initial approval of new WGs, any subsequent rechartering, and the final approval of documents. The IESG is composed of the ADs and the IETF Chair. The IETF Chair also chairs the IESG and is the AD for the General Area. The Chair of the Internet Architecture Board (IAB) is an ex officio member of the IESG. Various other bodies have liaisons with the IESG; the full list can be found at https://www.ietf.org/about/groups/iesg/members/.
All members of the IESG are nominated by a Nominations Committee (colloquially, "NomCom") and are confirmed by the IAB. See [NOMCOM] for a detailed description of the NomCom procedures. Other matters concerning the organization and operation of the NomCom are described in the IESG Charter [RFC3710].
Internet Architecture Board (IAB)
The IAB provides oversight of the architecture of the Internet and its protocols. The IAB approves IESG candidates put forward by the NomCom. It also reviews all proposed IETF WG charters.
The IAB provides oversight of the standards process and serves as an appeal board for related complaints about improper execution [IETFPROCS]. In general, it acts as a source of advice about technical, architectural, procedural, and policy matters pertaining to the Internet and its enabling technologies.
The members of the IAB are nominated by the NomCom and are confirmed by the Board of the Internet Society (ISOC). The IETF Chair is also a member of the IAB, and the Chair of the Internet Research Task Force (IRTF) is an ex officio member. Other matters concerning the IAB's organization and operation are described in the IAB Charter [IAB].
RFC Production Center (RPC)
Editorial preparation and publication of RFCs are handled by the RFC Production Center (RPC). RFC policy is defined by the RFC Series Working Group (RSWG), an open group (similar to IETF WGs), and approved by the RFC Series Advisory Board (RSAB), which has appointed members. The RFC Series Consulting Editor (RSCE) is a position funded by the IETF Administration LLC, with responsibilities defined in [RFC9280].
Full details on the roles and responsibilities of the RPC are specified in [RFC9280], in particular Section 4.
Internet Assigned Numbers Authority (IANA)
Many protocol specifications include parameters that must be uniquely assigned. Examples of this include port numbers, option identifiers within a protocol, and so on. The Internet Assigned Numbers Authority (IANA) is responsible for assigning values to these protocol parameters and maintaining parameter registries online (https://www.iana.org/protocols). Assignments are coordinated by writing an "IANA Considerations" section for a given document, as described in [IANADOCS]. The IETF's relationship with IANA is defined by formal agreements, including [RFC2860].
IANA is also responsible for operating and maintaining several aspects of the DNS and coordinating of IP address assignments.
Internet Research Task Force (IRTF)
The IRTF focuses on longer-term research issues related to the Internet as a parallel organization to the IETF, which focuses on the shorter-term issues of engineering, operations, and specification of standards.
The IRTF consists of a number of research groups (RGs) chartered to research various aspects related to the broader Internet. The products of these RGs are typically research results that are often published in scholarly conferences and journals, but they can also be published as RFCs on the IRTF Stream. RGs also sometimes develop experimental protocols or technologies, some of which may be suitable for possible standardization in IETF. Similarly, IETF WGs sometimes ask RGs for advice or other input. However, contributions from RGs generally carry no more weight in the IETF than other community input and go through the same standards-setting process as any other proposal.
The IRTF is managed by the IRTF Chair in consultation with the Internet Research Steering Group (IRSG). The IRSG membership includes the IRTF Chair, the chairs of the various RGs, and possibly other individuals ("members at large") from the community. Details of the organization and operation of the IRTF, the ISRG, and its RGs may be found in [RFC2014], [RFC4440], [RFC7418], and [RFC7827].
IETF Trust
The IETF Trust is the legal owner of intellectual property for the IETF, IRTF, and IAB. This includes their trademarks, the copyrights to RFCs and to works of the IETF such as the IETF website, and copyright licenses for IETF contributions including Internet-Drafts. The principles for the copyright licenses granted to and from the Trust are described in [IPRRIGHTS1] and [RFC8721], and the licenses themselves are in the Trust Legal Provisions.
The Trust also currently owns IANA's domain names and trademarks through an agreement with IANA.
The Trustees that govern the Trust are selected from the IETF community, as described in [RFC8714] and the rationale given in [RFC8715].
IETF Administration LLC (IETF LLC)
The IETF Administration Limited Liability Company (colloquially, the "IETF LLC") provides the corporate legal home for the IETF, the IAB, and the IRTF.
The IETF LLC is responsible for supporting the ongoing operations of the IETF, managing its finances and budget, and raising money. It regularly reports to the community. The IETF LLC is the legal entity that signs contracts for the IETF Secretariat, meeting hotels, tools development contractors, among many others. The IETF LLC also responds to legal requests; these are often subpoenas in patent lawsuits.
Selection of the IETF LLC Board of Directors is defined in [NOMCOM].
The IETF Executive Director handles the IETF's daily tasks and management and is overseen by the IETF LLC Board of Directors.
Section 6 of [RFC8712] describes the legal relationship between the IETF LLC and the Internet Society.
IETF Secretariat
The administrative functions necessary to support the activities of the IETF and its various related boards and organizations are performed by a Secretariat contracted by the IETF LLC. The IETF Secretariat handles much of the logistics of running the in-person meetings and is responsible for maintaining the formal public record of the Internet standards process [IETFPROCS].
Internet Society (ISOC)
ISOC plays an important role in the standards process. In addition to being the legal entity that hosts the IETF LLC, ISOC appoints the NomCom Chair, confirms IAB candidates selected by the NomCom, and acts as the final authority in the appeals process. This is described in [RFC8712].
The way in which the ISOC leadership is selected and other matters concerning the operation of the Internet Society are described in [ISOC].
Security Considerations
This document introduces no new security considerations.
IANA Considerations
This document has no IANA actions.
Informative References
[ISOC]

Amended and restated By-Laws of the Internet Society
Internet Society
May 2021
[RFC9280]

RFC Editor Model (Version 3)
Peter Saint-Andre, Ed.
June 2022
RFC 9280
DOI 10.17487/RFC9280
[RFC8719]
[RFC3710]
[RFC2860]
[RFC2014]
[RFC4440]
[RFC7418]
[RFC7827]
[RFC8721]
[RFC8714]
[RFC8715]
[RFC8712]
[RFC2028]
Acknowledgements
We are grateful to the authors of [RFC2028] -- Richard Hovey and Scott Bradner.
Barry Leiba, Colin Perkins, Eric Auerswald, John Levine, and Lars Eggert provided useful feedback and corrections to this document.